% Example 7.5
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% This shows the spread smooth.
% Use same curve from before - Example 7.4. 
% Still have the residuals.

% The y values in this plot will be
% the absolute value of the residuals.
% Superimpose a loess curve to better
% assess results.
% Figure 7.11.
r0 = linspace(min(X),max(X),30);
rhat = loess(X,abs(resid),r0,0.5,1);
plot(X,abs(resid),'.',r0,rhat)
xlabel('Log [ PrepTime (mins) / Page ]')
ylabel('| Residuals |')

