% Example 7.6
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% This shows the upper and lower smooths for loess.

% Use the software testing curve from previous examples.


% Get the envelopes and plot.
[yhat,ylo,xlo,yup,xup] = loessenv(X,Y,x0,0.5,2,1);
plot(X,Y,'.',x0,y0,xlo,ylo,xup,yup)
xlabel('Log [ PrepTime (mins) / Page ]')
ylabel('Log [ Defects / Page ]')
